export class NotOwnerError extends Error {
    errorCode = "NotOwnerError";
    constructor(message = "NotOwnerError") {
        super(message);
    }
}
export class SelfClaimRequiredError extends Error {
    errorCode = "SelfClaimRequiredError";
    constructor(message = "SelfClaimRequiredError") {
        super(message);
    }
}
export class ServiceNotEnabledError extends Error {
    errorCode = "ServiceNotEnabledError";
    constructor(message = "ServiceNotEnabledError") {
        super(message);
    }
}
export class InvalidRuntimeConfigError extends Error {
    errorCode = "InvalidRuntimeConfigError";
    constructor(message = "InvalidRuntimeConfigError") {
        super(message);
    }
}
export const errors = {
    SetOwner: { NotOwnerError, SelfClaimRequiredError },
    SetLabel: { NotOwnerError },
    SetGenericSubdomain: { NotOwnerError },
    SetCustomDomain: { NotOwnerError },
    SetDefaultPackageRegistry: { NotOwnerError },
    SetDnsRecords: { NotOwnerError },
    SetApexService: { NotOwnerError, ServiceNotEnabledError },
    SetAutoUpdateChannel: { NotOwnerError },
    SetRuntimeConfig: { NotOwnerError, InvalidRuntimeConfigError },
};
